\documentclass[landscape]{zettel2}

\geometry{top=1cm, bottom=1cm, left=1cm, right=1cm}

% Header and Footer
\pagestyle{empty}

\usepackage{xltabular}
\renewcommand{\arraystretch}{2.2}

\DTLloaddb{teilnehmende}{teilnehmende.csv}


\begin{document}
    \rowcolors{1}{gray!20}{white}
    \begin{xltabular}{\textwidth}{|l|l|X|}
        \hline
        \rowcolor{gray!40}
        \textbf{Vorname} & \textbf{Nachname} & \textbf{Ausgeliehen}\\
        \hline
        \endfirsthead
        \noalign\bgroup
        \DTLforeach{teilnehmende}{%
            \vorname=Vorname,%
            \nachname=Nachname%
        }{%
            \egroup \vorname & \nachname & \\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{xltabular}
\end{document}
